# -*- coding: utf-8 -*- 
# fichier de configuration de l'application

KEYWORDS = ['noporn', 'porn']
'mots clefs ("thèmes") de filtrage'

RPC_SERV = "http://192.168.230.83/black/xmlrpc.php"
"adresse xml-rpc du serveur d'enregistrement des url black-listées"

SUBMIT_RATE = 0.55
"""note minimale pour déclencher la soumissions d'une url
(note entre 0 et 1)"""

BLACKLIST_RATE = 0.60
"""note minimale pour déclencher la mise en liste noire d'une url
(note entre 0 et 1)"""

GUESS_DATA = '/usr/share/filtrage'
"emplacement des repertoires d'apprentissage pour le filtrage"

BAYES_DATABASE = '/usr/share/filtrage/filtrage.dat'
"""emplacement du fichier de la base de données de filtrage générée"""

# USER_DATABASE = '/usr/share/filtrage/userbayes.dat'
# """emplacement du fichier de la base de filtrage manuelle
# (les mots-clefs et les ponderation y sont renseignées manuellement,
# c'est-à-dire sans calcul bayesien)"""

# DATABASE = '/usr/share/filtrage/bayes.dat'
# """emplacement du fichier de la base de données de filtrage de travail
# (fusion de la base de filtrage générée et de la base de filtrage automatique)
# """

DANSGUARDIAN_FILE = '/var/log/dansguardian/acces.log'
"nom long du fichier de log de dansguardian"

ACAD_NAME = 'ac-dijon'
"nom de l'académie dans laquelle se trouve l'outil de filtrage"

ENABLE_LOGGING = True
"""enclenche l'écriture d'un rapport d'activité
à chaque exécution du test de filtrage"""

LOGFILE = '/var/log/filtrage.log'
"""fichier de rapport des actions de filtrage
(renseigner cette variable ne sert à rien si ENABLE_LOGGING vaut False)"""

DANSGUARDIAN_FIELDS = ['date','login','ip', 'url', 'exception', 'method', 'chiffre1']
"""format de stockage de access.log de dansguardian
un champ 'exception' doit impérativement être présent"""

TRAIN_MODE = 'meta'
"""modes d'apprentissage. les trois modes possibles sont
'html' (toute la pages sauf les balises)
'txt' (les fichiers sont en plein texte)
'meta' (fichiers html, seules les balises meta sont utilisées)
"""

GUESS_MODE = 'meta'
"""comportement pour le calcul de la note de filtrage
les modes precedents sont possibles, **avec en plus** : 

'weight', qui enclenche les calculs avec ponderations (voir coefficients de ponderation).
Ce choix augmente le temps de calcul de la note de ponderation.
"""

DANSGUARDIANBLACKLIST = '/tmp/'
"""repertoire d'enregistrement des fichiers de filtrage pour dansguardian"""

# renseignons les coefficients de ponderations

BODY_WEIGHT = 2
"mot présent dans le corps de la page, defaut: 2"

# TITLE = 4
# "mot présent dans un titre, defaut : 4"

META_WEIGHT = 8
"mot présent dans une balise meta : 8"

# DOMAIN_NAME_WEIGHT = 8
# "mot présent dans le nom de domaine : 8"

MINIMAL_CONTENT = 10
"nombre de mots minimal dans la page pour que la decision de filtrage soit prise"
