# -*- coding: utf-8 -*-
###########################################################################
# 
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr 
#  
###########################################################################
"""
utilitaire d'exportation au format de blacklist dansguardian
"""

from os import path as osp

from filtrage.config import BAYES_DATABASE, DANSGUARDIANBLACKLIST
from filtrage.db import load_pickle

def ponderation_sort(item_one, item_two):
    """utilitaire de tri des items de ponderation"""
    
    return cmp(int(item_one[1]), int(item_two[1]))

def add_to_blacklist(filename, keyword, path=DANSGUARDIANBLACKLIST,
                     dbname=BAYES_DATABASE, negative=False, sorted=False):
    """enregistrement du format de fichier de dansguardian, exemple : 
    < content 31 dagen ><10>
    < blacks homo ><10>
    < beffen neuken ><10>
    < nl pijpmachine nl ><10>
    < videos movies pd ><10>
    < sexybills ><10>
    < eros editeurs ><10>
    """
    # chargement de la base
    bayesdict = load_pickle(filename=dbname)
    # recuperation des notation correspondant au mot clef
    # format : [('usban03', 1), ('banniere_ladivinne', 1), ('Lust', 2)]
    notations = bayesdict[keyword]
    # ecriture dans le fichier cible
    fh = file(osp.join(path, filename), 'a')
    items = notations.items()
    if sorted:
        items.sort(ponderation_sort)
    for key, value in items:
        if negative:
            format = "< %s ><-%s>\n" % (key, str(value))
        else:
            format = "< %s ><%s>\n" % (key, str(value))
        fh.write(format)
    fh.close()
