# -*- coding: utf-8 -*-
###########################################################################
# 
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr 
#  
###########################################################################
"""rapports sur les actions de filtrage """

import logging
from os import remove
from os.path import isfile

from filtrage.config import LOGFILE

class Logger:

    def __init__(self, logfile=LOGFILE):
        """
        à l'initialisation du logger, le fichier de rapport est effacé
        """
        if isfile(logfile):
            remove(logfile)
        self.logger = logging.getLogger()
        hdlr = logging.FileHandler(logfile)
        formatter = logging.Formatter('%(asctime)s %(levelname)s %(message)s')
        hdlr.setFormatter(formatter)
        self.logger.addHandler(hdlr)
        self.logger.setLevel(logging.INFO)

    def info(self, message):
        """Loggue un message donné
        """
        self.logger.info(message)

    def error(self, message):
        """Loggue une exception
        """
        self.logger.error(message)

logger = Logger()

def log(url, rate):
    """utilitaire de rapport de filtrage """
    # la note peut être une liste, il faut la caster
    logcontent = "<Url %s> <Rate %s>" % (str(url), str(rate))
    logger.info(logcontent)

if __name__ == '__main__':
    log("http://www.google.fr", [('noporn','0.9991')])
#     logger.info("essai de log d'info")
#     logger.error("essai de log d'erreur")
