# -*- coding: utf-8 -*-
###########################################################################
# 
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr 
#  
###########################################################################
"""recuperation du contenu de pages web
récupérateur de page 

télécharge une page (entière) et lance un test de décision de filtrage 

"""

from urllib2 import urlopen

from filtrage.errors import URLError
from filtrage.tools import filter_meta, url_add_protocol, beautiful_soup

class PageRetriever:
    """ prise en charge et recuperation de page   """
    def __init__(self, url):
        """
        :url: url de la page à récupérer
        """
        self.url = url

    def getpage(self):
        "ouverture et lecture de la page"
        try:
            fh = urlopen(url_add_protocol(self.url))
            return fh.read()
        except Exception, e:
            raise URLError, "la page n'a pas pu etre recuperee"

def read_url(url):
    """chargement d'une url
    suceptible de lever une exception **URLError** """
    p = PageRetriever(url)
    line = p.getpage()
    return line

def read_urls(urls):
    """charge plusieurs urls
    suceptible de lever une exception **URLError** """
    for url in urls:
        yield read_url(url)
        
if __name__ == "__main__":
    urls = ['http://www.lemonde.fr', 'http://www.google.fr', 'http://linuxfr.org']
    print list(read_urls(urls))
