# -*- coding: utf-8 -*-
###########################################################################
# 
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr 
#  
###########################################################################
"""ajout automatique ou soumission d'urls au serveur xmlrpc

connexion xml rpc au serveur : 
permet l'ajout a distance dans la liste noire ou bien la demande de
mise en liste noire (sous condition de vérification)

"""
import xmlrpclib

from filtrage.config import RPC_SERV
from filtrage.errors import RPCError

client = xmlrpclib.ServerProxy(RPC_SERV)

def rpc_add(url, keyword, acad, notation):
    """ajout d'une url dans la blacklist academique
    url : url a interdire
    keyword : theme, mot-clef de filtrage
    acad : provenance academique de la décision de filtrage automatique
    """
    try:
        return client.add(url, keyword, acad, "note : %f"%notation)
    except:
        raise RPCError, "impossible d'ajouter une url"


def rpc_submit(url, keyword, acad, notation):
    """ajout d'une url dans la demande de soumission à la blacklist academique
    url : url a interdire
    keyword : theme, mot-clef de filtrage
    acad : provenance academique de la décision de filtrage automatique
    """
    try:
        return client.submit(url, keyword, acad, "note : %f"%notation)
    except:
        raise RPCError, "impossible de soumettre une url"

if __name__ == '__main__':
    print rpc_add('test.com', 'porn', 'ac-dijon', 'test MAIN')
    #print rpc_submit('sitenul4.com', 'red', 'ac-besancon')

